Slackwarearm-current ChangeLog (2021-04-02)

Fri Apr 02 08:08:08 UTC 2021

  • a/kernel-modules-armv7-5.10.27_armv7-arm-1.txz
  • a/kernel_armv7-5.10.27-arm-1.txz
    Within the initial RAM disk ('initrd') '/boot/initrd-armv7':
    LZMA compress the Kernel modules. This is the first step to moving to the new
    Kernel module loading design being developed for Slackware AArch64.
    The kernel-modules within the 'kernel-modules' package were already LZMA
    compressed.
    Use the 'bash' shell rather than busybox's, so we can make use of the richer
    feature set within the SoC support scripts. This enables (for example) the
    use of 'fallthrough' within case statements and regular expression matches
    within 'if' statements. This will help streamline the scripts where we
    support variants of a base platform, enabling variants to inherit a baseline
    set of platform modules for the earlier models, whilst keeping the script code
    succinct and more immediately understood (at least I think so!).
  • ap/cups-filters-1.28.8-arm-1.txz
  • ap/sqlite-3.35.3-arm-1.txz
  • ap/vim-8.2.2678-arm-1.txz
  • d/ccache-4.2.1-arm-1.txz
  • d/git-2.31.1-arm-1.txz
  • d/kernel-headers-5.10.27-arm-1.txz
  • d/re2c-2.1.1-arm-1.txz
  • d/rust-1.51.0-arm-1.txz
  • k/kernel-source-5.10.27-arm-1.txz
  • l/expat-2.3.0-arm-1.txz
  • l/gegl-0.4.30-arm-1.txz
  • l/jasper-2.0.28-arm-1.txz
  • l/libvpx-1.10.0-arm-1.txz
  • l/netpbm-10.93.03-arm-1.txz
  • l/pango-1.48.4-arm-1.txz
  • n/epic5-2.1.4-arm-1.txz
  • n/fetchmail-6.4.18-arm-1.txz
  • n/pam-krb5-4.10-arm-1.txz
  • n/whois-5.5.9-arm-1.txz
  • t/fig2dev-3.2.8a-arm-1.txz
  • t/xfig-3.2.8a-arm-1.txz
  • x/libXaw-1.0.14-arm-1.txz
  • x/xterm-367-arm-1_slack14.2.txz
    This update fixes a security issue:
    xterm before Patch #366 allows remote attackers to execute arbitrary code or
    cause a denial of service (segmentation fault) via a crafted UTF-8 combining
    character sequence.
    For more information, see:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-27135
    (* Security fix *)
  • xap/vim-gvim-8.2.2678-arm-1.txz
  • xap/xpaint-3.1.3-arm-1.txz
  • xap/xsnow-3.2.3-arm-1.txz
  • a/mkinitrd-1.4.11-arm-8.txz
    mkinitrd_command_generator.sh: account for the mmc_block module having an
    internal name of “mmcblk”. Thanks to Andypoo.
    use blkid options to ensure that the correct root device is matched.
    Thanks to eduardr and shruggy.
  • l/ffmpeg-4.3.2-arm-2.txz
    libvpx-1.10.0 seems to have a changed ABI, so recompile against it.
  • l/gst-plugins-good-1.18.4-arm-2.txz
    libvpx-1.10.0 seems to have a changed ABI, so recompile against it.
  • l/qt5-5.15.2-arm-8.txz
  • xap/xine-lib-1.2.11-arm-4.txz
    libvpx-1.10.0 seems to have a changed ABI, so recompile against it.
  • isolinux/*
  • news/2021/04/02/slackwarearm-current-changelog.txt
  • Last modified: 3 months ago
  • by Giuseppe Di Terlizzi